//// Alternativni popisek 
//// @2002, by Michal Kusyn, Interval.cz
//// K elementu pridate popisek volanim fce pridejPopis(element, text);
//// Pote je nutne proces dokoncit funkci initPopis();

function pridejPopis(co, text)
{
   co.setAttribute('title2',text);
}

function initPopis()
{
	// Vytvoreni popisku
	title2 = document.createElement('span');
	title2.id = "title2";
	title2.appendChild(document.createTextNode(' '));

	title2.style.display = "none";
	title2.style.position = "absolute";
	title2.style.padding = "4";
	title2.style.border = "dashed 1px black";
	title2.style.backgroundColor="rgb(219,239,255)";
	title2.style.fontSize = "10pt";
	title2.style.color = "black";
	title2.style.padding = "3px";
		

	document.body.appendChild(title2);

	seznam = document.getElementsByTagName('*');
	if(seznam.length==0) seznam = document.all;  // FIX IE5
	
	for(x=0; x<seznam.length; ++x)
	{
	
		if(seznam[x].getAttribute('title2')) 
		{

			if(IE) 
			{
				seznam[x].attachEvent("onmousemove", ukaz);
   				seznam[x].attachEvent("onmouseout", skryj);
			}
		
			if(NS) 
			{
				seznam[x].addEventListener("mousemove", ukaz, false);
				seznam[x].addEventListener("mouseout", skryj, false);
			}

		}
	}
	/// Volitelne lze popisek schovavat po kliknuti nebo stisknuti klavesy
	if(IE) 
	{
		document.attachEvent("mousedown", skryj);
		document.attachEvent("onkeydown", skryj);
	}
		
	if(NS) 
	{
		document.addEventListener("mousedown", skryj, false);
		document.addEventListener("keydown", skryj, false);
	}
}

function ukaz(event)
{
	var target;

	if(NS) 
	{
		posunutix=window.pageXOffset;posunutiy=window.pageXOffset;
		event.stopPropagation();event.preventDefault();		
		if(event.target.nodeName=="#text") {target = event.target.parentNode;}
		else {target = event.target;}
	}

	if(IE)
	{
		posunutix=document.body.scrollLeft;posunutiy = document.body.scrollTop;
		event.cancelBubble = true;
		target = event.srcElement;
    }
	
	document.getElementById('title2').style.display="inline";

	document.getElementById('title2').firstChild.data =  target.getAttribute("title2");
	document.getElementById('title2').style.left = event.clientX+ posunutix+10;
	document.getElementById('title2').style.top = event.clientY + posunutiy+10;


}


function skryj()
{
	document.getElementById('title2').style.display="none";
}
